Test whether an entry is encrypted

- « RarEntry::isDirectory

- RarEntry::__toString »

- PHP Manual
- RarEntry
- Test whether an entry is encrypted

# RarEntry::isEncrypted

(PECL rar >= 2.0.0)

RarEntry::isEncrypted — Test whether an entry is encrypted

### Description

public RarEntry::isEncrypted(): bool

Tests whether the current entry contents are encrypted.

> Note:

> The password used may differ between files inside the same RAR archive.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the current entry is encrypted and `false` otherwise.